org.mariadb.jdbc.internal.packet

## Class ComStmtLongData

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.ComStmtLongData

    public class ComStmtLongData
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ComStmtLongData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `send(PacketOutputStream writer, int statementId, short parameterId, ParameterHolder param)` Send long data packet.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComStmtLongData

    public ComStmtLongData()

### Method Detail

#### send

    public void send(PacketOutputStream writer,
                     int statementId,
                     short parameterId,
                     ParameterHolder param)
              throws IOException

Send long data packet.

Parameters:
  `writer` - output stream
  `statementId` - statement id
  `parameterId` - parameter id
  `param` - parameter
Throws:
  `IOException` - if socket orror occur